RDMA_GET_SRC_PORT(3)

NAME
rdma_get_src_port - Returns the local port number of a bound rdma_cm_id.

SYNOPSIS
#include <rdma/rdma_cma.h>

uint16_t rdma_get_src_port (struct rdma_cm_id *id);

ARGUMENTS

id  RDMA identifier.

DESCRIPTION
Returns the local port number for an rdma_cm_id that has been bound to a local address.

RETURN VALUE
Returns the 16-bit port identifier associated with the local endpoint. If the rdma_cm_id is not bound to a port, the returned value is 0.

SEE ALSO
rdma_bind_addr(3), rdma_resolve_addr(3), rdma_get_dst_port(3), rdma_get_local_addr(3), rdma_get_peer_addr(3)